Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3068

Summary: rc.sysinit sometimes incorrectly tries to load sound modules
Product: [Retired] Red Hat Linux Reporter: Adam Spiers <redhat>
Component: initscriptsAssignee: David Lawrence <dkl>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-14 18:01:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Adam Spiers 1999-05-26 15:35:36 UTC
In /etc/rc.d/rc.sysinit, the line:
   if grep -s -q "^alias sound" /etc/conf.modules ; then
should have a space after 'sound', otherwise sometimes
it will incorrectly do a modprobe sound.  For example,
I use ALSA rather than OSS, so my /etc/conf.modules contains
the line:
   alias sound-service-0-0 snd-mixer-oss
which would incorrectly trigger this modprobe.

The same applies for modprobe midi a few lines later.

Comment 1 Dale Lovelace 1999-05-27 20:08:59 UTC
Sounds reasonable. Bill?

Comment 2 Bill Nottingham 1999-06-14 18:01:59 UTC
will be fixed in next initscripts release (4.21 or so...)